Name:           yum-conf-centos-extras       
Version:        5 
Release:        1
Summary:        Extra packages based on CentOS that may be useful
Group:          System Environment/Base 
License:        GPL 
URL:            http://wiki.centos.org/AdditionalResources/Repositories
Source0:        http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-3
Source1:        http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-4
Source2:        http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5
Source3:        GPL	
Source4:        centos-extras.repo	
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch
Requires:      redhat-release >=  %{version} 
Requires:      yum-fastestmirror
Requires:      yum-priorities

%description
This repository is for items that provide additional functionality to CentOS 
without breaking upstream compatibility or updating base components. 

Popular packages from this repository include: The horde framework and packages, freenx, 
apt, and XFCE. 

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .
install -pm 644 %{SOURCE3} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-3
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-4
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Mon Jun 23 2008 Troy Dawson <dawson@fnal.gov> - 5-1
- First draft - originally from yum-conf-epel
- Added requires 

* Fri Apr 25 2008 Matt Domsch <Matt_Domsch@dell.com> - 5-3
- use mirrorlists in epel-testing.repo
- use download.fedoraproject.org in (commented out) baseurls

* Mon Apr 02 2007 Michael Stahnke <mastahnke@gmail.com> - 5-2
- Missed a syntax correction in epel-testing.repo

* Mon Apr 02 2007 Michael Stahnke <mastahnke@gmail.com> - 5-1
- Hard coded version '5' in epel yum repo files. 

* Mon Apr 02 2007 Michael Stahnke <mastahnke@gmail.com> - 5-0
- Initial Package for RHEL 5
